Skip to main content
GET
/
data
Lists all user data
curl --request GET \
  --url https://api.habitdash.com/v1/data/ \
  --header 'X-API-KEY: <api-key>'
{
  "count": 123,
  "results": [
    {
      "date": "2023-12-25",
      "field_id": "<string>",
      "value": "<string>"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

page
integer

A page number within the paginated result set.

date_start
string<date>

A start date in YYYY-MM-DD format.

date_end
string<date>

An end date in YYYY-MM-DD format.

field_id
string

A field id. Values available from /fields endpoint.

source
string

A data source. Available options: apple, cronometer, fitbit, freestyle_libre, garmin, oura, polar, strava, withings, whoop

Response

200 - application/json

Successful response

count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null